Commet
  • Precios
Iniciar SesiónRegistrarse
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List add-ons

List all add-ons with cursor-based pagination.

GET
/addons

List all add-ons with cursor-based pagination.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

limit?integer
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/addons"
{  "success": true,  "data": [    {      "id": "string",      "name": "string",      "slug": "string",      "description": "string",      "basePrice": -9007199254740991,      "consumptionModel": "boolean",      "featureCode": "string",      "featureName": "string",      "includedUnits": -9007199254740991,      "overageRate": -9007199254740991,      "creditCost": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "addon",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

List active add-ons GET

List all active add-ons for a customer's subscription.

Update add-on PUT

Update an add-on's name, description, or pricing.